/**
 * @file
 * Javascript for Social Profile Field.
 */

/**
 * Show Social Network icon depending on URL.
 */
(function ($) {
    Drupal.behaviors.socialProfileField = function (context) {
        $(".edit-field-social-profile-url", context).live("change", function (event) {
            var wrapper = $(this).parent();
            $.ajax({
                url: Drupal.settings.social_profile_field.ajaxPath,
                type: 'GET',
                data: { 'url': $(this).val() },
                success: function (response) {
                    wrapper.css('background-image', 'url(' + response + ')');
                },
                error: function (xhr) {
                    wrapper.css('background-image', 'url(' + Drupal.settings.social_profile_field.defaultPath + ')');
                },
                dataType: 'json'
            });
        });
        $(".edit-field-social-profile-url", context).change();
    };
})(jQuery);